#include <bits\stdc++.h>
using namespace std;
string A,B,C;
string pom, maxpom="";

int main(){
	cin>>A>>B>>C;
	
	pom=A+B+C;
	if (maxpom<pom) maxpom=pom;
	
	pom=A+C+B;
	if (maxpom<pom) maxpom=pom;
	
	pom=B+A+C;
	if (maxpom<pom) maxpom=pom;
	
	pom=B+C+A;
	if (maxpom<pom) maxpom=pom;
	
	pom=C+A+B;
	if (maxpom<pom) maxpom=pom;
	
	pom=C+B+A;
	if (maxpom<pom) maxpom=pom;
	
	
	cout << maxpom << endl;
	return 0;
}